CREATE TABLE fla_lease_details_hist (
    LEASE_DETAIL_ID                   NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    VERSION_TYPE_CODE                 VARCHAR2(120)     NOT NULL,
    VERSION_NUM                       NUMBER(9, 0)      NOT NULL,
    LEASE_VERSION_NAME                VARCHAR2(200)     NOT NULL,
    AMORTIZATION_END_DATE             DATE              NOT NULL,
    LEASE_ID                          NUMBER(18, 0)     NOT NULL,
    DATA_SOURCE_CODE                  VARCHAR2(120) ,
    COMMENCEMENT_DATE                 DATE              NOT NULL,
    TERMINATION_DATE                  DATE              NOT NULL,
    LEASE_CLASSIFICATION_CODE         VARCHAR2(120)     NOT NULL,
    LEASE_VERSION_DESCRIPTION         VARCHAR2(4000),
    APPROVAL_COMMENTS                 VARCHAR2(1020),
    APPROVAL_STATUS_CODE              VARCHAR2(120) ,
    APPROVED_BY                       VARCHAR2(256) ,
    APPROVED_DATE                     DATE          ,
    EXECUTION_DATE                    DATE          ,
    PRIM_REGIME_ADDER_RATE            NUMBER        ,
    PRIM_REGIME_DISC_RATE_INDEX_ID    NUMBER(18, 0) ,
    PRIM_REGIME_INTEREST_RATE         NUMBER        ,
    RESPONSIBLE_USER                  VARCHAR2(256) ,
    SECD_REGIME_ADDER_RATE            NUMBER        ,
    SECD_REGIME_DISC_RATE_INDEX_ID    NUMBER(18, 0) ,
    SECD_REGIME_INTEREST_RATE         NUMBER        ,
    SYSTEM_ORIGIN_REFERENCE_1         VARCHAR2(120) ,
    SYSTEM_ORIGIN_REFERENCE_2         VARCHAR2(120) ,
    GENERATED_BY                      VARCHAR2(256) ,
    GENERATED_DATE                    DATE          ,
    VALIDATED_BY                      VARCHAR2(256) ,
    VALIDATED_DATE                    DATE          ,
    SUBMITTED_BY                      VARCHAR2(256) ,
    SUBMITTED_DATE                    DATE          ,
    TRANSACTION_TYPE_CODE             VARCHAR2(120) ,
    TRANSACTION_SUBTYPE_CODE          VARCHAR2(120) ,
    PERCENTAGE_OF_REDUCTION           NUMBER        ,
    VERSION_PREPARED_BY               VARCHAR2(256) ,
    VERSION_SIGNED_DATE               DATE          ,
    VERSION_INITIATED_BY              VARCHAR2(256) ,
    VERSION_INITIATED_DATE            DATE          ,
    SCHEDULES_REFRESH_NEEDED_FLAG     VARCHAR2(4)   ,
    LEASE_AMENDMENT_NOTES             VARCHAR2(4000),
    FINAL_LEASE_DETAIL_ID             NUMBER(18, 0) ,
    REQUEST_ID                        NUMBER(18, 0) ,
    JOB_DEFINITION_NAME               VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE            VARCHAR2(3600),
    REPORT_JOB_ID                     NUMBER(18, 0) ,
    REPORT_JOB_NAME                   VARCHAR2(800) ,
    REPORT_JOB_RUN_DATE               DATE          ,
    QUARTZ_RUN_DATE                   DATE          ,
    QUARTZ_JOB_NAME                   VARCHAR2(1024),
    QUARTZ_JOB_GROUP                  VARCHAR2(400) ,
    PROCESS_REQUEST_ID                NUMBER(18, 0) ,
    PROCESS_JOB_DEFINITION_NAME       VARCHAR2(400) ,
    PROCESS_JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    OPTION_TRANSACTION_CODE           VARCHAR2(120) ,
    TERMINATION_TRANSACTION_CODE      VARCHAR2(120) ,
    APPROVAL_SUB_STATUS_CODE          VARCHAR2(120) ,
    LEASE_TERMINATION_FLAG            VARCHAR2(4)   ,
    AUTO_FINALIZE_VERSION_FLAG        VARCHAR2(4)   ,
    INCREASE_ACCOUNTING_CODE          VARCHAR2(120) ,
    INCREASE_IMPACT_FLAG              VARCHAR2(4)   ,
    INCREASE_GENERATED_BY             VARCHAR2(400) ,
    INCREASE_GENERATED_DATE           DATE          ,
    BALANCE_SYNC_REQUEST_ID           NUMBER(18, 0) ,
    BALANCE_SYNC_STATUS_CODE          VARCHAR2(120) ,
    LEASE_TRX_APPROVAL_FLAG           VARCHAR2(4)   ,
    PROCESS_REQUEST_CODE              VARCHAR2(120) ,
    AMEND_FOR_INDEX_FLAG              VARCHAR2(4)   ,
    PRIM_REGIME_SCOPE_CHANGE_CODE     VARCHAR2(120) ,
    SECD_REGIME_SCOPE_CHANGE_CODE     VARCHAR2(120) ,
    LEASE_SECONDARY_CLASSIF_CODE      VARCHAR2(120) ,
    REQUIRE_PROPERTY_DEFN_FLAG        VARCHAR2(4)       NOT NULL,
    INTEREST_METHOD_CODE              VARCHAR2(120)     NOT NULL,
    ARREARS_PAY_DT_TREATMENT_CODE     VARCHAR2(120)     NOT NULL,
    APPROVAL_TRANSACTION_ID           NUMBER(18, 0) ,
    PJC_PROJECT_ID                    NUMBER(18, 0) ,
    PJC_ORGANIZATION_ID               NUMBER(18, 0) ,
    LEASE_PRODUCT_ID                  NUMBER(18, 0) ,
    ASSET_TEMPLATE_ID                 NUMBER(18, 0) ,
    LEASE_POLICY_ID                   NUMBER(18, 0) ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY                VARCHAR2(120) ,
    ATTRIBUTE_CHAR1                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR10                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR11                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR12                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR13                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR14                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR15                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR2                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR3                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR4                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR5                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR6                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR7                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR8                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR9                   VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1                 NUMBER        ,
    ATTRIBUTE_NUMBER2                 NUMBER        ,
    ATTRIBUTE_NUMBER3                 NUMBER        ,
    ATTRIBUTE_NUMBER4                 NUMBER        ,
    ATTRIBUTE_NUMBER5                 NUMBER        ,
    ATTRIBUTE_DATE1                   DATE          ,
    ATTRIBUTE_DATE2                   DATE          ,
    ATTRIBUTE_DATE3                   DATE          ,
    ATTRIBUTE_DATE4                   DATE          ,
    ATTRIBUTE_DATE5                   DATE          ,
    LEASE_DETAIL_ID                   NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    VERSION_TYPE_CODE                 VARCHAR2(120)     NOT NULL,
    VERSION_NUM                       NUMBER(9, 0)      NOT NULL,
    LEASE_VERSION_NAME                VARCHAR2(200)     NOT NULL,
    AMORTIZATION_END_DATE             DATE              NOT NULL,
    LEASE_ID                          NUMBER(18, 0)     NOT NULL,
    DATA_SOURCE_CODE                  VARCHAR2(120) ,
    COMMENCEMENT_DATE                 DATE              NOT NULL,
    TERMINATION_DATE                  DATE              NOT NULL,
    LEASE_CLASSIFICATION_CODE         VARCHAR2(120)     NOT NULL,
    LEASE_VERSION_DESCRIPTION         VARCHAR2(4000),
    APPROVAL_COMMENTS                 VARCHAR2(1020),
    APPROVAL_STATUS_CODE              VARCHAR2(120) ,
    APPROVED_BY                       VARCHAR2(256) ,
    APPROVED_DATE                     DATE          ,
    EXECUTION_DATE                    DATE          ,
    PRIM_REGIME_ADDER_RATE            NUMBER        ,
    PRIM_REGIME_DISC_RATE_INDEX_ID    NUMBER(18, 0) ,
    PRIM_REGIME_INTEREST_RATE         NUMBER        ,
    RESPONSIBLE_USER                  VARCHAR2(256) ,
    SECD_REGIME_ADDER_RATE            NUMBER        ,
    SECD_REGIME_DISC_RATE_INDEX_ID    NUMBER(18, 0) ,
    SECD_REGIME_INTEREST_RATE         NUMBER        ,
    SYSTEM_ORIGIN_REFERENCE_1         VARCHAR2(120) ,
    SYSTEM_ORIGIN_REFERENCE_2         VARCHAR2(120) ,
    GENERATED_BY                      VARCHAR2(256) ,
    GENERATED_DATE                    DATE          ,
    VALIDATED_BY                      VARCHAR2(256) ,
    VALIDATED_DATE                    DATE          ,
    SUBMITTED_BY                      VARCHAR2(256) ,
    SUBMITTED_DATE                    DATE          ,
    TRANSACTION_TYPE_CODE             VARCHAR2(120) ,
    TRANSACTION_SUBTYPE_CODE          VARCHAR2(120) ,
    VERSION_PREPARED_BY               VARCHAR2(256) ,
    VERSION_SIGNED_DATE               DATE          ,
    LEASE_AMENDMENT_NOTES             VARCHAR2(4000),
    FINAL_LEASE_DETAIL_ID             NUMBER(18, 0) ,
    REQUEST_ID                        NUMBER(18, 0) ,
    JOB_DEFINITION_NAME               VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE            VARCHAR2(3600),
    REPORT_JOB_ID                     NUMBER(18, 0) ,
    REPORT_JOB_NAME                   VARCHAR2(800) ,
    REPORT_JOB_RUN_DATE               DATE          ,
    QUARTZ_RUN_DATE                   DATE          ,
    QUARTZ_JOB_NAME                   VARCHAR2(1024),
    QUARTZ_JOB_GROUP                  VARCHAR2(400) ,
    PROCESS_REQUEST_ID                NUMBER(18, 0) ,
    PROCESS_JOB_DEFINITION_NAME       VARCHAR2(400) ,
    PROCESS_JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY                VARCHAR2(120) ,
    ATTRIBUTE_CHAR1                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR10                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR11                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR12                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR13                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR14                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR15                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR2                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR3                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR4                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR5                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR6                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR7                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR8                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR9                   VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1                 NUMBER        ,
    ATTRIBUTE_NUMBER2                 NUMBER        ,
    ATTRIBUTE_NUMBER3                 NUMBER        ,
    ATTRIBUTE_NUMBER4                 NUMBER        ,
    ATTRIBUTE_NUMBER5                 NUMBER        ,
    ATTRIBUTE_DATE1                   DATE          ,
    ATTRIBUTE_DATE2                   DATE          ,
    ATTRIBUTE_DATE3                   DATE          ,
    ATTRIBUTE_DATE4                   DATE          ,
    ATTRIBUTE_DATE5                   DATE          ,
    PERCENTAGE_OF_REDUCTION           NUMBER        ,
    VERSION_INITIATED_BY              VARCHAR2(256) ,
    VERSION_INITIATED_DATE            DATE          ,
    SCHEDULES_REFRESH_NEEDED_FLAG     VARCHAR2(4)   ,
    OPTION_TRANSACTION_CODE           VARCHAR2(120) ,
    TERMINATION_TRANSACTION_CODE      VARCHAR2(120) ,
    APPROVAL_SUB_STATUS_CODE          VARCHAR2(120) ,
    LEASE_TERMINATION_FLAG            VARCHAR2(4)   ,
    AUTO_FINALIZE_VERSION_FLAG        VARCHAR2(4)   ,
    INCREASE_ACCOUNTING_CODE          VARCHAR2(120) ,
    INCREASE_IMPACT_FLAG              VARCHAR2(4)   ,
    INCREASE_GENERATED_BY             VARCHAR2(400) ,
    INCREASE_GENERATED_DATE           DATE          ,
    BALANCE_SYNC_REQUEST_ID           NUMBER(18, 0) ,
    BALANCE_SYNC_STATUS_CODE          VARCHAR2(120) ,
    LEASE_TRX_APPROVAL_FLAG           VARCHAR2(4)   ,
    PROCESS_REQUEST_CODE              VARCHAR2(120) ,
    AMEND_FOR_INDEX_FLAG              VARCHAR2(4)   ,
    PRIM_REGIME_SCOPE_CHANGE_CODE     VARCHAR2(120) ,
    SECD_REGIME_SCOPE_CHANGE_CODE     VARCHAR2(120) ,
    LEASE_SECONDARY_CLASSIF_CODE      VARCHAR2(120) ,
    REQUIRE_PROPERTY_DEFN_FLAG        VARCHAR2(4)       NOT NULL,
    INTEREST_METHOD_CODE              VARCHAR2(120)     NOT NULL,
    ARREARS_PAY_DT_TREATMENT_CODE     VARCHAR2(120)     NOT NULL,
    APPROVAL_TRANSACTION_ID           NUMBER(18, 0) ,
    PJC_PROJECT_ID                    NUMBER(18, 0) ,
    PJC_ORGANIZATION_ID               NUMBER(18, 0) ,
    LEASE_PRODUCT_ID                  NUMBER(18, 0) ,
    ASSET_TEMPLATE_ID                 NUMBER(18, 0) ,
    LEASE_POLICY_ID                   NUMBER(18, 0) ,
    CONSTRAINT pk_fla_lease_details_hist PRIMARY KEY (LEASE_DETAIL_ID, LEASE_DETAIL_ID)
);
